org.apache.catalina.ha.util

## Interface IDynamicProperty

All Known Implementing Classes:
  SimpleTcpCluster

    public interface IDynamicProperty

Author:
  Peter Rossbach

### Method Summary

Methods
`Object` `getProperty(String key)` get current config
`Iterator<String>` `getPropertyNames()` Get all properties keys
`void` `removeProperty(String key)` remove a configured property.
`boolean` `setProperty(String name, Object value)` set config attributes with reflect

### Method Detail

#### setProperty

    boolean setProperty(String name,
                      Object value)

set config attributes with reflect

Parameters:
  `name` -
  `value` -

#### getProperty

    Object getProperty(String key)

get current config

Parameters:
  `key` -
Returns:
  The property

#### getPropertyNames

    Iterator<String> getPropertyNames()

Get all properties keys

Returns:
  An iterator over the property names

#### removeProperty

    void removeProperty(String key)

remove a configured property.

Parameters:
  `key` -